presentations.ai

Requests

Poll deck generation by caller request ID, including its stage, warnings, terminal error, and completed export.

GET
/requests/{request_id}

Get deck-generation status by the caller's request ID.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

request_id*Request Id
Match^[A-Za-z0-9][A-Za-z0-9._:~-]{0,254}$
Length1 <= length <= 255

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/requests/string"

{  "request_id": "q3-customer-review-v1",  "deck_id": "dc2d4f8d-a52a-4c58-aeb8-02b4d1dc9001",  "status": "COMPLETED",  "stage": "COMPLETED",  "status_url": "https://api.presentations.ai/api/v1/requests/q3-customer-review-v1",  "error": null,  "created_at": "2026-08-14T09:30:00Z",  "updated_at": "2026-08-14T09:31:42Z",  "warnings": [],  "export": {    "id": "7ec2d749-85dc-4e02-8bf2-76b663d5c002",    "deck_id": "dc2d4f8d-a52a-4c58-aeb8-02b4d1dc9001",    "format": "PPTX",    "content_type": "application/vnd.openxmlformats-officedocument.presentationml.presentation",    "size_bytes": 1843200,    "download_url": "https://api.presentations.ai/api/v1/exports/7ec2d749-85dc-4e02-8bf2-76b663d5c002/download?token=example",    "created_at": "2026-08-14T09:31:42Z"  }}